/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.taxiservicios.model.enums;

/**
 *
 * @author Oscar Vargas 
 */
public enum TaxesType {
    IVA("IVA") {
        @Override
        public String toString() {
            return "IVA";
        }
    }, ISR("ISR") {
        @Override
        public String toString() {
            return "ISR";
        }
    },IMSS("IMSS") {
        @Override
        public String toString() {
            return "IMSS";
        }
    }, NOMINA("2% sobre nómina") {
        @Override
        public String toString() {
            return "NOMINA";
        }
    }, IMPUESTO_CEDULAR("Impuesto cedular") {
        @Override
        public String toString() {
            return "IMPUESTO_CEDULAR";
        }
    }, OTROS("Otros impuestos") {
        @Override
        public String toString() {
            return "OTROS";
        }
    };

    private final String label;

    private TaxesType(String label) {
        this.label = label;
    }

    public String getLabel() {
        return label;
    }
}
